Skip to main content
PATCH
/
v1
/
swaps
/
{id}
Update
curl --request PATCH \
  --url https://{defaultHost}/v1/swaps/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "swap": {
    "description": "Swap and save 40%!"
  }
}
'
{
  "id": "3b6a38f8-e085-43fd-a316-d0a6e2dd94f3",
  "object": "swap",
  "archived": false,
  "archived_at": null,
  "description": "Swap and save 40%!",
  "metadata": {},
  "price": "51856102-49b9-482e-abd4-f8bd2a9f7e8e",
  "swap_price": "94f273cb-718b-4f9f-9c31-5ff01bd79bbe",
  "discarded_at": null,
  "created_at": 1773903608,
  "updated_at": 1773903608
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
swap
object

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

archived
boolean

Whether or not this swap is archived.

description
string | null

A description of this swap. This text will be visibile to customers in the checkout summary when offered the swap.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

archived_at
integer | null

Time at which the object was archived. Measured in seconds since the Unix epoch.

price

Expandable – The associated price ID.

swap_price

Expandable – The associated price ID.

discarded_at
integer | null

Time at which the object was discarded. Measured in seconds since the Unix epoch.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.